跳转到内容
Try Gitea Cloud ☁️ for 30 days → Accelerate your Development & Deploys!
Support

Set a project's default column

POST
/orgs/{org}/projects/{id}/columns/{column_id}/default
curl --request POST \
--url https://gitea.example.com/api/v1/orgs/example/projects/1/columns/1/default \
--header 'Authorization: Basic <credentials>'

Gitea Enterprise only. This endpoint is not part of the community edition.

The default column is where newly assigned issues land.

org
required
string

Name of the organization

id
required
integer format: int64

Id of the project

column_id
required
integer format: int64

Id of the column

APIEmpty is an empty response

APIForbiddenError is a forbidden error response

message
string
url
string

APINotFound is a not found empty response